<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:tools="http://schemas.android.com/tools"
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">



    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">



        <ScrollView
            android:id="@+id/scroll_view"
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical" >




                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/scan_input"
                        style="@style/ScanLineTextSearch"
                        android:layout_width="match_parent"
                        android:hint="@string/Escaneaetiqueta"
                        android:inputType="text"
                        android:lines="1"
                        android:maxLines="1"
                        android:textColor="@color/verdnatura_white"
                        android:textColorHint="@color/verdnatura_white"
                        />

                <LinearLayout
                    android:id="@+id/linearHeader"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/layout_margin_min"
                    android:layout_marginBottom="@dimen/layout_margin_1"
                    android:orientation="horizontal"
                    android:paddingLeft="@dimen/layout_margin_min"
                    android:paddingRight="@dimen/layout_margin_min">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="center"
                        android:paddingLeft="@dimen/layout_margin_min"
                        android:text="Usuario"
                        android:textColor="@color/verdnatura_white"

                        android:textSize="@dimen/body2" />

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:text="Fecha"
                        android:textColor="@color/verdnatura_white"
                        android:textSize="@dimen/body2" />


                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1.25"
                        android:gravity="right"
                        android:text="Parking"
                        android:textColor="@color/verdnatura_white"
                        android:textSize="@dimen/body2"
                        android:visibility="gone" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="right"
                        android:paddingRight="@dimen/layout_margin_min"
                        android:text="Acción"
                        android:textColor="@color/verdnatura_white"

                        android:textSize="@dimen/body2"
                        android:visibility="gone" />


                </LinearLayout>
                <LinearLayout
                    android:id="@+id/itemcard_layout"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:padding="10dp"
                    android:orientation="vertical"
                    tools:ignore="ExtraText">

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:descendantFocusability="blocksDescendants">

                        <!--android:id="@+id/itemexpeditionstate_recyclerview"-->
                        <androidx.recyclerview.widget.RecyclerView
                            android:id="@+id/itemshelvinglog_recyclerview"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:clipToPadding="false"
                            android:visibility="visible"
                            tools:listitem="@layout/shelvinglog_row" />
                    </RelativeLayout>>
                </LinearLayout>

            </LinearLayout>
        </ScrollView>

      <include
            android:id="@+id/main_toolbar"
            layout="@layout/toolbar_fragment"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />



        <LinearLayout
            android:id="@+id/splash_progress"
            android:visibility="gone"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            android:background="@color/verdnatura_black_8_alpha_6"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            android:gravity="center">

            <com.airbnb.lottie.LottieAnimationView

                android:layout_width="wrap_content"
                android:layout_height="@dimen/verdnatura_logo_large_height"
                app:lottie_autoPlay="true"
                app:lottie_loop="true"
                app:lottie_rawRes="@raw/orange_loading"
                app:lottie_speed="2" />
        </LinearLayout>




    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>